Package org.apache.sysds.hops.cost

# Class CostEstimator

java.lang.Object
org.apache.sysds.hops.cost.CostEstimator

Direct Known Subclasses:
  `CostEstimatorStaticRuntime`

public abstract class CostEstimator extends Object

## Constructor Summary

Constructors
Constructor
Description
`CostEstimator()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getTimeEstimate(ProgramBlock pb, LocalVariableMap vars, HashMap<String,VarStats> stats, boolean recursive)`
`double`
`getTimeEstimate(Program rtprog, LocalVariableMap vars, HashMap<String,VarStats> stats)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CostEstimator

public CostEstimator()

## Method Details

### getTimeEstimate

public double getTimeEstimate(Program rtprog, LocalVariableMap vars, HashMap<String,VarStats> stats)

### getTimeEstimate

public double getTimeEstimate(ProgramBlock pb, LocalVariableMap vars, HashMap<String,VarStats> stats, boolean recursive)